"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchHandler = void 0;
const Events_1 = require("../../../../../../agent/Events");
const messages_1 = require("../messages");
class BatchHandler {
    constructor(eventEmitter) {
        this.supportedMessages = [messages_1.BatchMessage];
        this.eventEmitter = eventEmitter;
    }
    async handle(messageContext) {
        const { message } = messageContext;
        messageContext.assertReadyConnection();
        const forwardedMessages = message.messages;
        forwardedMessages.forEach((message) => {
            this.eventEmitter.emit(messageContext.agentContext, {
                type: Events_1.AgentEventTypes.AgentMessageReceived,
                payload: {
                    message: message.message,
                    contextCorrelationId: messageContext.agentContext.contextCorrelationId,
                },
            });
        });
    }
}
exports.BatchHandler = BatchHandler;
//# sourceMappingURL=BatchHandler.js.map