"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagesReceivedHandler = void 0;
const messages_1 = require("../messages");
class MessagesReceivedHandler {
    constructor(messagePickupService) {
        this.supportedMessages = [messages_1.MessagesReceivedMessage];
        this.messagePickupService = messagePickupService;
    }
    async handle(messageContext) {
        messageContext.assertReadyConnection();
        return this.messagePickupService.processMessagesReceived(messageContext);
    }
}
exports.MessagesReceivedHandler = MessagesReceivedHandler;
//# sourceMappingURL=MessagesReceivedHandler.js.map